Bug 130905 - syslogd prints empy messages
syslogd prints empy messages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sysklogd (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-25 14:09 EDT by George Dunlap
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 19:19:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Dunlap 2004-08-25 14:09:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
All log files written by syslogd since at least a month ago have empty
messages.  Here is an example from /var/log/messages

Aug 25 11:55:14 samwise exiting on signal 15
Aug 25 12:51:55 samwise syslogd 1.4.1: restart.
Aug 25 12:51:55 samwise
Aug 25 12:51:55 samwise last message repeated 208 times
Aug 25 12:51:57 samwise
Aug 25 12:51:57 samwise
Aug 25 12:52:01 samwise

This includes the following files:
  /var/log/{messages,secure,maillog,boot.log,cron}

All available saved versions are the same way (messages.1, messages.2,
etc); the oldest messages are from July 25th.  

The rpm -qi reports that the package was installed June 14th. 

Verifying with rpm -qV succeeds.

Running syslogd -d and then sending it messages through "logger"
reveals that syslogd is receiving messages, of various lengths (1 char
in logger -> message size of 34, 2 chars -> 35, but the message is
apparently empty.  Example output:

Successful select, descriptor count = 1, Activity on: 3
Message from UNIX socket: #3
Message length: 31, File descriptor: 3.
logmsg: user.alert<9>, flags 2, from samwise, msg
msg repeated 1 times, 124 sec of 60.
Called fprintlog, logging to FILE /var/log/messages
Calling select, active file descriptors (max 3): 3
 


Version-Release number of selected component (if applicable):
1.4.1-18

How reproducible:
Always

Steps to Reproduce:
1.Boot the system
2.Examine /var/log/messages
3.
    

Actual Results:  /var/log/messages is full of empty messages
(timestamped but empty).

Expected Results:  /var/log/messages is full of system messages

Additional info:
Comment 1 Bill Nottingham 2004-08-25 14:48:26 EDT
1.4.1-18 is broken - either use 1.4.1-16 as shipped in FC2, or the
current rawhide version.
Comment 2 Jason Vas Dias 2004-08-25 14:58:56 EDT
 You're using a UTF-8 locale ? 
 This bug was found earlier (bug 125679) and was fixed in 
 sysklogd-1.4.1-18 . Current version is sysklogd-1.4-22,
 which I am now pushing into FC2 updates.



*** This bug has been marked as a duplicate of 125679 ***

*** This bug has been marked as a duplicate of 125679 ***
Comment 4 Tim Powers 2005-05-19 19:19:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-087.html

Note You need to log in before you can comment on or make changes to this bug.